Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface BookView

All Superinterfaces:
  MarkupBasedView, NavigableView, PlaceableView, Serializable, ThemedMarkupBasedView, View

public interface BookView
extends NavigableView, PlaceableView, ThemedMarkupBasedView

Field Summary
`static short` | `ORIENTATION_BOTTOM`
`static short` | `ORIENTATION_LEFT`
`static short` | `ORIENTATION_RIGHT`
`static short` | `ORIENTATION_TOP`

Fields inherited from interface com.bea.netuix.application.view.NavigableView
`ALIGNMENT_LEFT, ALIGNMENT_RIGHT`

Method Summary
`int` | `getBookCount()`
`BookDefinition` | `getBookDefinition()`
`BookDefinitionId` | `getBookDefinitionId()`
`BookGroupId` | `getBookGroupId()`
`BookInstance` | `getBookInstance()`
`BookInstanceId` | `getBookInstanceId()`
`BookView` | `getBookView(BookDefinitionId bookDefinitionId)`
`BookView` | `getBookView(BookInstanceId bookInstanceId)`
`BookView` | `getBookView(String label)`
`BookView` | `getBookViewRecursive(BookInstanceId bookInstanceId)`
`BookView` | `getBookViewRecursive(String bookDefinitionLabel)`
`BookView[]` | `getBookViews()`
`String` | `getDefaultPage()`
`short` | `getMenuOrientation()` Returns the menu's orientation.
`MenuView` | `getMenuView()`
`int` | `getNavigableCount()`
`NavigableView` | `getNavigableView(NavigableDefinitionId navigableDefinitionId)`
`NavigableView` | `getNavigableView(NavigableInstanceId navigableInstanceId)`
`NavigableView` | `getNavigableView(String label)`
`NavigableView[]` | `getNavigableViews()`
`int` | `getPageCount()`
`PageView` | `getPageView(PageDefinitionId pageDefinitionId)`
`PageView` | `getPageView(PageInstanceId pageInstanceId)`
`PageView` | `getPageView(String label)`
`PageView` | `getPageViewRecursive(PageInstanceId pageInstanceId)` Retrieve a PageView matching the supplied database instance id.
`PageView` | `getPageViewRecursive(String pageDefinitionLabel)`
`PageView[]` | `getPageViews()`
`PlacementId` | `getPlacementId()`
`PortletView` | `getPortletViewRecursive(PortletInstanceId portletInstanceId)`
`PortletView` | `getPortletViewRecursive(String portletInstanceLabel)`
`String` | `getWebAppName()`

Methods inherited from interface com.bea.netuix.application.view.NavigableView
`getAlignment, getDefinitionLabel, getLocalizationResourceView, getMenuPosition, getNavigableDefinition, getNavigableInstance, isDefaultPage, isHidden`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Methods inherited from interface com.bea.netuix.application.view.PlaceableView
`getDefinitionLabel, getLocalizationResourceView, getPlaceableInstance, getPlaceholderPosition`

Methods inherited from interface com.bea.netuix.application.view.ThemedMarkupBasedView
`getThemeView`

Methods inherited from interface com.bea.netuix.application.view.MarkupBasedView
`getMarkupView`

Field Detail

### ORIENTATION_TOP

    public static final short ORIENTATION_TOP

See Also:
  Constant Field Values

### ORIENTATION_LEFT

    public static final short ORIENTATION_LEFT

See Also:
  Constant Field Values

### ORIENTATION_RIGHT

    public static final short ORIENTATION_RIGHT

See Also:
  Constant Field Values

### ORIENTATION_BOTTOM

    public static final short ORIENTATION_BOTTOM

See Also:
  Constant Field Values

Method Detail

### getBookInstanceId

    public BookInstanceId getBookInstanceId()

### getBookDefinitionId

    public BookDefinitionId getBookDefinitionId()

### getPlacementId

    public PlacementId getPlacementId()

### getBookGroupId

    public BookGroupId getBookGroupId()

### getBookInstance

    public BookInstance getBookInstance()

### getBookDefinition

    public BookDefinition getBookDefinition()

### getDefaultPage

    public String getDefaultPage()

### getMenuView

    public MenuView getMenuView()

### getMenuOrientation

    public short getMenuOrientation()

  Returns the menu's orientation. The orientation is a hint to the book and menu skeleton to render the menu at the top, left, right or bottom of the book. Since this is only a hint to the book/menu skeleton, if the skeleton does not support it, it will have no effect.

  Returns:
    `ORIENTATION_TOP, ORIENTATION_LEFT, ORIENTATION_RIGHTT, ORIENTATION_BOTTOM`

### getBookViews

    public BookView[] getBookViews()

### getBookCount

    public int getBookCount()

### getPageViews

    public PageView[] getPageViews()

### getPageCount

    public int getPageCount()

### getNavigableViews

    public NavigableView[] getNavigableViews()

### getNavigableCount

    public int getNavigableCount()

### getBookView

    public BookView getBookView(String label)

### getPageView

    public PageView getPageView(String label)

### getBookView

    public BookView getBookView(BookInstanceId bookInstanceId)

### getBookView

    public BookView getBookView(BookDefinitionId bookDefinitionId)

### getBookViewRecursive

    public BookView getBookViewRecursive(BookInstanceId bookInstanceId)

### getBookViewRecursive

    public BookView getBookViewRecursive(String bookDefinitionLabel)

### getPageView

    public PageView getPageView(PageInstanceId pageInstanceId)

### getPageView

    public PageView getPageView(PageDefinitionId pageDefinitionId)

### getPageViewRecursive

    public PageView getPageViewRecursive(PageInstanceId pageInstanceId)

  Retrieve a PageView matching the supplied database instance id. This search does not stop with the immediate children.

  Parameters:
    `pageInstanceId` - the database instance id of the page
  Returns:
    a pageView or null if one was not found.

### getPageViewRecursive

    public PageView getPageViewRecursive(String pageDefinitionLabel)

### getPortletViewRecursive

    public PortletView getPortletViewRecursive(PortletInstanceId portletInstanceId)

### getPortletViewRecursive

    public PortletView getPortletViewRecursive(String portletInstanceLabel)

### getNavigableView

    public NavigableView getNavigableView(String label)

### getNavigableView

    public NavigableView getNavigableView(NavigableDefinitionId navigableDefinitionId)

### getNavigableView

    public NavigableView getNavigableView(NavigableInstanceId navigableInstanceId)

### getWebAppName

    public String getWebAppName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved